version: '3'

services:
  pg:
    image: 'postgres:10.3-alpine'
    environment:
      - POSTGRES_USER=labdb_api
      - POSTGRES_PASSWORD=mysecretpassword
    volumes:
      - 'pg:/var/lib/postgresql/data'

  mongo:
    image: 'mongo:3.6-jessie'
    volumes:
      - 'mongo:/data/db'
      - 'mongoconf:/data/configdb'

  api:
    build: .
    command: ["rails", "server"]
    depends_on:
      - pg
      - mongo
    ports:
      - "3000:3000"
    volumes:
      - './:/usr/src/labdb_api' # mounted
      - '/usr/src/labdb_api/vendor/bundle' # unamed
    env_file:
      - '.env'

volumes:
  pg:
  mongo:
  mongoconf: